package CRSDK;

@SuppressWarnings("unused")
public enum CrNDFilterMode {
    CrNDFilterMode_Auto (0x01),
    CrNDFilterMode_Preset (CrNDFilterMode_Auto.getValue()+1),
    CrNDFilterMode_PresetClear (CrNDFilterMode_Auto.getValue()+2),
    CrNDFilterMode_Variable (CrNDFilterMode_Auto.getValue()+3),
    CrNDFilterMode_VariableClear (CrNDFilterMode_Auto.getValue()+4),
    CrNDFilterMode_Step (CrNDFilterMode_Auto.getValue()+5),
    CrNDFilterMode_StepClear (CrNDFilterMode_Auto.getValue()+6);

    private final CrInt8u value;
    CrNDFilterMode(int value) {
        this.value = new CrInt8u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
